Module | Sequel::DataObjects::Postgres::DatabaseMethods
In: | lib/sequel/adapters/do/postgres.rb

Methods to add to Database instances that access PostgreSQL via DataObjects.

### Methods

extended

### Included Modules

Sequel::Postgres::DatabaseMethods

### Public Class methods

extended(db)

Add the primary_keys and primary_key_sequences instance variables, so we can get the correct return values for inserted rows.

[Source]

        # File lib/sequel/adapters/do/postgres.rb, line 17
    17:         def self.extended(db)
    18:           db.send(:initialize_postgres_adapter)
    19:         end

[Validate]